I still don't know if I need to upgrade my bootloader to 4.6 or not. I've heard it's faster, but then I see people downgrading to 3.9, so I don't know what the heck is going on!!

Anyway, I'm pretty sure I'm on 3.9 now, I was before I pwned to 2.0. but I didn't build my psw file, so I have no clue. I don't know how to tell without BBInfo. Any help would be much appreciated!